Subject: Re: bug#22238: 25.0.50; isearch symbol search can't find ,@symbol

From: Michael Heerdegen <[email-masked]>
Date: Fri, 28 Jul 2023 03:19:21 +0200

Michael Heerdegen <[email-masked]> writes:

> isearch's symbol search (M-s _) doesn't find symbols as in
>
>   ,@symbol
>
> when searching for "symbol".  This was already the case in Emacs 24.5.

Checking this again and: this seems to be fixed.  Closing.

Not sure about the obscure case involving a symbol @foo as mentioned by
Andreas, but searching for such a symbol works using symbol isearch, and
,@foo is read as (,@ foo) by the Lisp reader, not as (, @foo), and
isearch doesn't need to match a symbol @foo here, so I guess everything
works at least relatively well.

Michael.